# Package org.apache.lucene.spatial.query

Spatial Query options useful for client side requests

See: Description

Class Summary
Class | Description
--- | ---
SpatialArgs | Principally holds the query `Shape` and the `SpatialOperation`.
SpatialArgsParser | Parses a string that usually looks like "OPERATION(SHAPE)" into a `SpatialArgs` object.
SpatialOperation | A clause that compares a stored geometry to a supplied geometry.

Exception Summary
Exception | Description
--- | ---
UnsupportedSpatialOperation | Exception thrown when the `SpatialStrategy` cannot implement the requested operation.

## Package org.apache.lucene.spatial.query Description

Spatial Query options useful for client side requests